View Issue Details

IDProjectCategoryView StatusLast Update
0003844Last.fm pluginLast.fmpublic2010-11-01 15:33
Reporterpeke Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0003844: Last.FM Native Support
DescriptionDue to constant changes to Last.FM Client/Player where one plugin work and then one don't we need to make our own plugin that will be able to Scrobble Played tracks to Last.FM Users Pages. Using their latest Protocol v1.2.1 and in future versions we could add generation of Users playlists in MM tree and advanced Webservices, handling of LastFM: link Protocol in browsers but mainly exclude usage of Winamp plugin for scrobbling.
Additional InformationProtocol: http://www.audioscrobbler.net/development/protocol/
Web Services: http://www.audioscrobbler.net/data/webservices/
Unofficial Protocol Documents: http://code.google.com/p/thelastripper/wiki/LastFM12UnofficialDocumentation
Last.FM Radio Streams explanation: http://ruup.de/index.php?/archives/268-Play-last.fm-streams-without-the-player.html (outdated use above Unofficial link)
New submission Protocol Description: http://www.last.fm/api/submissions
Stream Error Codes List: http://www.lastfm.de/forum/21716/_/380495/1#f5829688

Another APIs:
http://www.last.fm/user/dahnielson/journal/2007/08/07/8nrm_last.fm_radio_protocol
TagsNo tags attached.
Fixed in build

Relationships

related to 0003347 closedpeke MediaMonkey 4 Audioscrobbler V2 doesn't work with MM3 
related to 0003039 closedpeke MediaMonkey 4 Regression: Many Winamp plug-ins stopped working in MM 3.0 (audioscrobbler) 
related to 0004940 closedpetr MediaMonkey 4 SDBUIEdit.Common PaswordChar property Feature 
parent of 0004865 closedjiri MediaMonkey 4 CoClass SDBFileSystem Do not have MoveFile VBScript feature 
parent of 0005231 closedpeke Last.fm plugin Last.fm UI is too constricted when localized 
parent of 0005410 closedpeke Last.fm plugin Last.fm misc engine improvements 
related to 0004060 closedjiri MediaMonkey 4 ISDBRegistry and SDBIniFile are not working Correctly 
related to 0004518 closedpeke MediaMonkey 4 Last.fm Extensions: uninstall doesn't work correctly 
related to 0004776 closedpeke MediaMonkey 4 Regression: Playcounter is not updated before TrackEnd Event 
related to 0004967 closedpetr MediaMonkey 4 Version String is not Correct (regression) 
related to 0004968 closedjiri MediaMonkey 4 Regression: <Object>.Common.ControlName Overides <Object>.Caption 
related to 0004970 closedpeke MediaMonkey 4 Component Updated: New TIEHTTP Release 
related to 0004971 closedjiri MediaMonkey 4 SDBIniFile.StringValue is not Unicode Capable (regression) 
related to 0004972 closedLudek MediaMonkey 4 'Options' button on Extensions dialog doesn't work in some cases 
related to 0004938 closedrusty MediaMonkey 4 Make separator configurable for multi-attribute properties 
related to 0005190 closedpeke Last.fm plugin Last.fm Scrobbler improvements: Toolbar control 
related to 0005482 closedpeke MediaMonkey 4 Last.FM Configuration Dialog Button text is wrong. 
related to 0005658 closedpeke Last.fm plugin Playing audiobook triggers AV in Last.fm scrobbler plugin 
related to 0005596 closedpeke Last.fm plugin Last.fm submission gets stuck due to track in the cache 
related to 0005265 closedpeke Last.fm plugin Last.fm Scrobbler: exclusion list 
child of 0003879 closedpeke MediaMonkey 4 Automatization Server is revoked too early 

Activities

rusty

2007-10-27 23:11

administrator   ~0011626

Set to 'urgent' since this isn't critical to MM 3.0 release.

rusty

2007-12-04 20:08

administrator   ~0012290

Last edited: 2007-12-04 20:09

UI feedback given to Peke:

Configure last.fm
===========================================================================
Last.fm can automatically help you find people that have similar musical
tastes and creates personalized music recommendations. To learn more visit the
[last.fm homepage].

--last.fm Profile-----------------------------------------------------------
|To use last.fm with MediaMonkey, you need a [last.fm profile].
|
|Username: _____________________________________
|Password: _____________________________________
----------------------------------------------------------------------------

--last.fm Services----------------------------------------------------------
|[ ] Submit Now Playing tracks to build my profile and create recommendations
| [ ] Only submit tracks if Album metadata exists
|[ ] Submit Now Playing tracks to show other users
-----------------------------------------------------------------------------

Note: ideally, the first iteration of the plugin should also integrate scrobbler dj type functionality into the autodj.

peke

2007-12-05 18:06

developer   ~0012302

Sources added to SVN

peke

2007-12-06 05:40

developer   ~0012317

Sources Updated,
Optimization Includes:
- Plugin Submisions now Uses Separate Thread to Submit
- Configuration Options Added "Library -> Last.FM Service"
- Fixed Submission of tracks that have '&' in Metadata
- Better Logging for debugging purposes
- Realtime Cache so Playing Cache is not lost if MediaMonkey Crashes

peke

2007-12-06 05:53

developer   ~0012318

Make Corrections of Configuration string text.
All text can be found in LastFMOptions.vbs Except when you Click on Configure in General plugin Options Sheet.

Compiled Testing Plugin Sent by mail.

rusty

2008-02-14 14:53

administrator   ~0013114

Tested v. 1.1 and it looks great. Here are some small changes to make before we post (they're all string changes):

-Filename: LastFMScrobbler.mmip --> Last.fm_Scrobbler.mmip
-Product Name: Last.FM Scrobbler Plugin --> Last.fm Scrobbler
-Description: Last.FM Profile Subbmission Support --> Builds personalized profile on Last.fm
-Product Type: Music Discovery

Options Dialog:
-To learn more visit the last.fm homepage. --> To learn more visit www.last.fm .
-Last.FM Profile --> Last.fm Profile
-Last.FM Service --> Last.fm Service
-Submit Played tracks to build my profile and create recommendations --> Submit played tracks to build my Last.fm profile and get music recommendations
-Submit Now Playing tracks to show other users --> Show Now Playing tracks to my Friends on www.last.fm

Options Dialog Tooltips:
-Username and password: Enter your username and password. If you don't have an account, sign up at www.last.fm.
-Submit played tracks...: Submits tracks to Last.fm as they play, building your profile so that you can receive music recommendations.
-Only if Album metadata...: Only submits tracks that have an Album name defined.
-Show Now Playing tracks...: Submits information about your Now Playing track to Last.fm so that friends that you've defined on your Friends List can see what you're listening to. This will not affect your profile or playing statistics.

Default Settings:
-Submit played tracks... should be enabled
-Only submit tracks if... should be enabled

rusty

2008-02-14 22:26

administrator   ~0013119

Last edited: 2008-02-14 22:28

tested v. 0.1.11 and the following changes haven't yet been made:

-Submit Played tracks to build my profile and create recommendations --> Submit played tracks to build my Last.fm profile and get music recommendations

-Submit Now Playing tracks to show other users --> Show Now Playing tracks to my Friends on www.last.fm

Note also: the beta release should be v. 1.0.0.xxx

peke

2008-02-15 12:10

developer   ~0013122

Fixed in v0.1.12

MediaMonkey got version number v0.1 from Last.fm for identification, that is why I have used that in version but if you think we should use our classifications It can be easily changed

rusty

2008-02-15 18:23

administrator   ~0013124

The version info that you got from last fm shouldn't be the version of our plugin. I assume that whatver you received from last fm was an Identification number.

Our version needs to reflect what the product is i.e. a 1.0.x.xxx release.

peke

2008-02-15 20:51

developer   ~0013137

Updated version to 1.0.1.12 and Mail with corrected Ui texts.

rusty

2008-02-17 07:09

administrator   ~0013147

Tested build 12 and there's a typo:

Show Now Playing tracks to my Friends on www.last.fn
-->
Show Now Playing tracks to my Friends on www.last.fm

peke

2008-02-17 09:22

developer   ~0013150

Text field was not wide enough :)

SVN Updated

rusty

2008-02-18 01:58

administrator   ~0013163

Version number is still incorrect in the extensions panel. It indicates 0.1.12. It should be 1.0.1.12.

rusty

2008-02-18 16:54

administrator   ~0013168

Verified.

peke

2008-02-20 04:39

developer   ~0013188

Few Enchancments proposed:
1) Better Logging even Submission is went OK
2) Button to open Log File in default text editor
3) View Last 5 Submitted/Cached Tracks in Last.fm Service (Maybe in a subsheet) and possibly Link to their Info On Last.fm (If that is possible with scripting)

peke

2008-02-22 08:36

developer   ~0013194

a) Last track in Now playing is not Scrobbled.

rusty

2008-03-28 01:31

administrator   ~0013516

Last edited: 2008-03-28 01:32

Here is a comprehensive list of bugs based on my review of the forum:

1) Submission bugs
a) After submitting the cache (after it couldn't submit a song!) it no longer submits (multiple reports). e.g. Now last.fm is having some issues with their submission server so I figured that the cached tracks would get added eventually. I just went to my profile page and saw the spam message that some tracks were not submitted because they were dated earlier than my last submission. My cache file is now empty. Please note that the first track in my cache was Prince - Dionne, the first track in the log with an error. This track appears on my profile but none of the others do.
e.g. When my cache file was finally sent, last.fm treated it as spam. Because the first track in the cache had already scrobbled, the subsequent "retry" caused the cache to be discarded as the first track in it was "dated earlier than your last submission". ~2 hours worth of tracks lost.
The problem now is that nothing else is being logged although I'm continuing to play tracks. I believe there's a problem with the plugin "restarting" (it's not) once it submits a cache. I've played two tracks since the line in the log above, but no new entries have been posted, no tracks have been submitted, and the cache file is empty.
I believe the MM plugin needs some better error handling. This isn't the first time I've seen this happen, but it's the first time I've been able to document it before restarting MM.
b) Tracks don't submit sometimes after playback is stopped/restarted (multiple reports). e.g. I stopped a track at about the quarter mark and then shut down MM to go have dinner. I restarted MM and played the track (again pushing the Play button on my keyboard) --> Error
c) The last track in Now Playing doesn't get submitted if MM is closed once it plays through. FIXED?
d) In my log it just keeps telling me there's 'no need to submit'. Peke wrote: " 'No need to submit' on first play after MM stop or Startup is Not Bug but It needs to be better described in Log." Isn't this a bug?
e) Unable to scrobble tracks not in the library
f) Japanese character support isn't working with the last.fm plugin? I was able to scrobble properly with MM2 using the Winamp plugin, but I can't get MM3 to scrobble Japanese characters at all (using the Last.FM client software or using any plugins available).
g) At initial install, the plugin doesn't work until MM is restarted
h) Plugin currently submits compound artists in their entirety. e.g. "Bob Dylan; Tom Petty" is submitted as the Artist which results in no matches. Only the initial artist should be submitted.

2) Insufficient Status Information available:
a) Plugin should show the the last 5 submissions along with any tracks in the queue (cache)
b) Plugin should have a button to view the log
c) The logs need to be more detailed & show track-specific information. e.g. 'skipping invalid tags' Means that Title/Artist/Album (If Selected) is Empty. Log should show what song is being skipped.
Suggested UI:
<list>--Status-------------------------------------
| <Title> - Submitted hh:mm:ss ^
| <Title> - Submitted hh:mm:ss |
| <Title> - Submitted hh:mm:ss |
| <Title> - Submitted hh:mm:ss |
| <Title> - Submitted hh:mm:ss |
| <Title> - Submitting |
| <Title> - Queued |
| <Title> - Queued |
| ... v
|
| [View Log]
----------------------------------------------</list>
note: the height of the list should probably only accomodate 5-6 tracks so as not to take up too much space.

New Feature that should ideally be included in the release:
3) Ability to exclude certain tracks from being scrobbled (e.g. podcasts)
Suggested UI for this (to be place immediately below 'Only submit tracks if Album metadata exists':
 [ ] Don't submit tracks from _Filter/Playlist_^ ___________^

Future Features:
4) Ability to view metadata (pic, bio, etc.) that is displayed in the standard last.fm plug-in.
5) ipod Scrobbling

peke

2008-07-02 23:34

developer   ~0014316

Added SendMessage command in MM IncreasePlayCounter Function and make that event available in WinampPlugins.

//PlayCounter Event for Plugins
SendMessage( FMainWindow.Handle, WM_USER, 1001 {Inc(PlayCounter)}, 603);
//This event Announcment will be used with Last.fm plugin

Source update sent to Petr to update SVN.

peke

2008-07-07 01:41

developer   ~0014322

SVN Updated.

1. Most of Submit Bug are fixed, Log is More Verbose on Process (Detail List and description will be sent to you for revision)

2. Not Sure That all UI proposed will be possible (MM Core Limitation) But View Log button is possible.

peke

2008-07-07 18:07

developer   ~0014324

1. Tested a,b,c,d,e,f

2. Added more verbose log for c

peke

2008-07-11 01:46

developer   ~0014342

I have investigated new submit protocol 1.2.1 and we should support it prior to next release of plugin.

peke

2008-09-01 02:12

developer   ~0014504

2. a, b done

Fixed issue when Log or Cache File are deleted while MM is started which can lock Scrobbling.

peke

2008-09-01 02:21

developer   ~0014505

SVN is updated for Next MM Beta release when all Bug Fixes will be included as 3.0.4.1185 do not include those fixes.

Fixed and ready for testing:
1. a,b,c,d,e,f

2. a, b, c

Regarding 3: May I suggest this UI
[ ] Don't submit tracks Contain _Property_^ ___________^
_Property_ = Genre, Title, Artist, Path, Custom, ...

This is currently possible to make?

peke

2008-09-02 14:15

developer   ~0014513

Regarding 1. h) Maybe it would be wise to make this user choice?

By adding "[ ] Submit only first artist" into UI and make Enabled by default

peke

2008-09-07 11:43

developer   ~0014537

Last edited: 2008-09-07 11:44

Adding
1.
i) Ability to manually Disable scrobbling and instead of scrobbling Plugin will Cache files
Setup UI example [ ] Only cache Scrobbling and possibly make Toolbar button to enable/disable option.

Big_Berny post http://www.mediamonkey.com/forum/viewtopic.php?p=166060#p166060

5. Combining with i) plugin would cache files until you connect iPod and then combine iPod plays (some small core changes would be needed) with cache before you scrobble all of them together according to last.fm api protocol spec. That way Play Now will still work independently
My reply on big_berny forum post http://www.mediamonkey.com/forum/viewtopic.php?p=166068#p166068

rusty

2008-09-21 02:06

administrator   ~0014627

1h) I can't imagine any scenario in which it would be beneficial to submit multiple artists separated with a semicolon, so I would suggest to not make any UI for this i.e. always submit the first artist only.

1i)/5) I don't fully understand what the intended functionality is. e.g. are you saying that the following is needed?
i) normally scrobbler would send data as it plays
ii) if 'cached' mode is active, then scrobbler would only send data once it is disabled.
iii) if user synchs iPods/other devices, then Now Playing tracks data would be sent as it plays, but iPod track data would only be sent after a synch operation.

My question then is when would a user ever want to enable 'cached' mode?

p.s. possibly more clear ui, though I'm not certain, because I don't yet fully understand the functionality.
(o) Submit track data immediately
( ) Temporarily cache track data

3) I think that we need to let the user choose from available playlists or filters. If not currently possible, see if you can work this out with Jiri.

peke

2008-09-21 04:22

developer   ~0014628

1h) To clear things here is example where submitting only first will result in incorrect data sent to fast.fm:
Title: Angel
Artist: Rayvon; Shaggy

Submitting
Title: Angel
Artist: Rayvon

Correct info would be:
http://www.last.fm/music/Shaggy/_/Angel from album http://www.last.fm/music/Shaggy/Hot+Shot

Not http://www.last.fm/music/Rayvon/_/Angel

Reason for giving users a choice is that some applications save Multiple Artist in A-Z order no matter if they are written in correct order or not.

1i)/5) you are right your UI is more clear. Althru this will be more important when PlayCounter iPod -> MM trigers incPlaycounter event (and that we still need to see how we can solve).
Basic functionality should work like this:
1. do not submit, but Cache played track
2. ipod if connected.
3. merge played tracks from ipod with cached tracks that are played on ipod after last submitted track on last.fm
4. Submit Merged cache.

I hope that this is clear now.

peke

2008-09-30 21:23

developer   ~0014678

1h) Implemented And added undocumented MediaMonkey.ini Boolean option to enable Multiple Artist Scrobbling.

MediaMonkey.ini
----
[Last.FM]
MultipleArtist=1
----

peke

2008-10-04 23:00

developer   ~0014711

Fixed in 1186

Some issues are left for next version (1i, 3, 4, 5) but we need to test scrobble capabilities, as those features are lower priority than correct scrobbling capabilities.

peke

2008-10-19 05:07

developer   ~0014789

Uninstall do not delete last.FM username and Password

peke

2008-10-19 05:09

developer   ~0014790

Fixed in 1189

peke

2008-11-13 03:06

developer   ~0014923

Here are all Log Messages that can be found in Scrobbler log, separated by sections.

I have found few Typos and Updated SVN.

Log Messages:

1. Plugin Initialization:
'MediaMonkey v'+<Version String>
'Loading Last.fm Scrobbler'
'----------------------------------------'
<Plugin Name and Version as seen in General Plugin Settings>
'----------------------------------------'

2. This plugin Adds log when adding track to Cache File:
'Last.FM: Cache add ' + <Track Artist> + ' - ' + <Track title>
'Last.FM: Cache track added ' + <Track Artist> + ' - ' + <Track title> (Confirmation about Successful Cache Add)

3. NowPlaying Log Entries:
a) Normal log Entries:
'Last.FM: Nowplaying Play Detected at ' + <Time Stamp when Plugin Received OnPlay Event>
'Last.FM: NowPlaying Started'
'Last.FM: NowPlaying ' + <Track Artist> + ' - ' + <Track title>
'Last.FM: NowPlaying ' + <Last.FM String Result of Noplaying Scrobble> (this includes any errors in updating Last.FM>
b) Bad Session (Most likely another Last.FM Client Scrbbled something)
'Last.FM: NowPlaying Bad Session ID Need Re-Handshaking'

4. Scrobbling Log Entries:
a) Normal Log Entries:
'Last.FM: Submit Started at ' + <Time Stamp when Plugin Got Submit command>
'Last.FM: Submit ' + <Track Artist> + ' - ' + <Track title>
'Last.FM: Submit Started'
'Last.FM: Submit ' + <Last.FM String Result of Track Submit/Scrobble> (this includes any errors in updating Last.FM>
'Last.FM: Submit Failed ' + <Track Artist> + ' - ' + <Track title>
b) Notifying what track failed
'Last.FM: Submit Failed ' + <Track Artist> + ' - ' + <Track title>
c) Bad Session (Most likely another Last.FM Client Scrbbled something)
'Last.FM: Submit Bad Session ID Need Re-Handshaking'

5. Cache subbmision Log Entries:
a) Normat Cache Subbmission log Entries:
'Last.FM: Cache Submission Started'
'Last.FM: Cache Submission ' + <Full subbmision URL posted to Last.FM> (According to this we can see what exactly Last.FM gets from plugin*)
'Last.FM: Cache Submission ' + <Last.FM String Result of cache Subbmision> (this includes any errors in updating Last.FM>
b) Bad Session (Most likely another Last.FM Client Scrbbled something)
'Last.FM: Cache Submission Need Re-Handshaking'

* In case that there is more than 50 tracks in Cache Plugin sends chunks of 50 tracks each time and repeats untill all cached tracks are sent.

6. Session handshake (Login) Log Entries:
'Last.FM: Handshake Session Started'
'Last.FM: Handshake ' + <Last.FM String Result of cache Subbmision> (this includes any errors in updating Last.FM>
'Last.FM: Handshake Session ID is ' + <Session and Handshake ID>
'Last.FM: Handshake NowPlaying URL is ' + <URL where Plugin Send all NowPlaying Updates>
'Last.FM: Handshake Submission URL is ' + <URL where Plugin Send all Submitts/Scrobbles>

7. Generic Log Entries Based on User Settings for Submition:
'Last.FM: Plugin Disabled' (In Case Plugin is disabled)
'Last.FM: Username and/or Password missing'
'Last.FM: Session ID ' + <Session ID> (This is send as refference each time when plugin contact Last.FM)
'Last.FM: Submit Skipped Album check is enabled, Albumname must exist for Submission' (In case Album Info do not Exist and user forced sending only tracks that have Album info Tag)
'Last.FM: Submit Skipping Track Title must exist'
'Last.FM: Submit Skipping Track Artist must exist'
'Last.FM: Submit Skipping Track Track length under 30' (Track Must be at least 31 seconds to be scrobbled. This is added to avoid Advertizers, Track Intros which are by standard less than 31 seconds)

8. Generic Log Entries Based on User Settings for Cache:
'Last.FM: Cache add Skipping Track Title must exist'
'Last.FM: Cache add Skipping Track Artist must exist'
'Last.FM: Cache add Skipping Track Track length under 30' (Track Must be at least 31 seconds to be added to cache. This is added to avoid Advertizers, Track Intros which are by standard less than 31 seconds)

9. Generic Log Entries Based on User Settings for NowPlaying:
'Last.FM: NowPlaying Disabled'
'Last.FM: NowPlaying Username and/or Password missing'
'Last.FM: NowPlaying Skipping Track Title must exist'
'Last.FM: NowPlaying Skipping Track Artist must exist'

peke

2008-11-19 02:38

developer   ~0014974

Added ability that in options that user do not see existing password text data but "*" instead of password characters.

"*" Can't be shown while you enter password due the MM limitation of not having password masked edit in scripting due the 0004940

peke

2008-11-23 18:38

developer   ~0015076

Updated Options to reflect Petr Resolve of 4940
Entering password shows "*" instead of pure text

Fixed for 3.1.0.1194+

rusty

2008-11-27 05:12

administrator   ~0015170

Tested version 1.0.2.1 and there are a few showstoppers:

1) UI text / tooltips are missing. e.g. I see:
 EnableLastFM
 EnableAlbumTagged
 EnableNowPlaying
instead of the correct UI and associated tooltips.

2) When I select the last.fm extension in the Extensions dialog, the 'Options' button is greyed out. It shouldn't be since users would expect to click that to take them to the relevant options panel.

3) I can't get a connection to last.fm. Immediately after I installed the plugin and ran MM, the plugin tried to get a connection to last.fm, but couldn't negotiate one, since no username/password had been entered.

Once I entered the username/password, the extension never tried to negotiate a connection (from what I saw in the log).

When I restarted MM, and played a few tracks, the log showed the following:

11/27/2008 12:01:15 AM: MediaMonkey v3.0.3
11/27/2008 12:01:15 AM: Loading Last.fm Scrobbler
11/27/2008 12:01:15 AM: ----------------------------------------
11/27/2008 12:01:15 AM: Last.fm Scrobbler v1.0.2.1
11/27/2008 12:01:15 AM: ----------------------------------------
11/27/2008 12:01:18 AM: Last.FM: Nowplaying Play Detected at 1227762078
11/27/2008 12:01:19 AM: Last.FM: Handshake Session Started
11/27/2008 12:01:19 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:01:19 AM: Last.FM: NowPlaying Skipping
11/27/2008 12:03:16 AM: Last.FM: Submit Started at 1227762197
11/27/2008 12:03:16 AM: Last.FM: Handshake Session Started
11/27/2008 12:03:17 AM: Last.FM: Nowplaying Play Detected at 1227762197
11/27/2008 12:03:17 AM: Last.FM: Nowplaying Play Detected at 1227762197
11/27/2008 12:03:18 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:03:18 AM: Last.FM: Cache add The Ventures - Secret Agent Man
11/27/2008 12:03:18 AM: Last.FM: Cache track added The Ventures - Secret Agent Man
11/27/2008 12:03:18 AM: Last.FM: Handshake Session Started
11/27/2008 12:03:18 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:03:18 AM: Last.FM: NowPlaying Skipping
11/27/2008 12:07:06 AM: Last.FM: Submit Started at 1227762426
11/27/2008 12:07:06 AM: Last.FM: Handshake Session Started
11/27/2008 12:07:06 AM: Last.FM: Nowplaying Play Detected at 1227762426
11/27/2008 12:07:06 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:07:07 AM: Last.FM: Cache add 10cc - Cry
11/27/2008 12:07:07 AM: Last.FM: Cache track added 10cc - Cry
11/27/2008 12:07:07 AM: Last.FM: Handshake Session Started
11/27/2008 12:07:07 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:07:07 AM: Last.FM: NowPlaying Skipping
11/27/2008 12:09:37 AM: Last.FM: Submit Started at 1227762577
11/27/2008 12:09:37 AM: Last.FM: Handshake Session Started
11/27/2008 12:09:37 AM: Last.FM: Nowplaying Play Detected at 1227762577
11/27/2008 12:09:37 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:09:37 AM: Last.FM: Cache add Bruce Springsteen - I'm on Fire
11/27/2008 12:09:37 AM: Last.FM: Cache track added Bruce Springsteen - I'm on Fire
11/27/2008 12:09:38 AM: Last.FM: Handshake Session Started
11/27/2008 12:09:38 AM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/27/2008 12:09:38 AM: Last.FM: NowPlaying Skipping


4) Minor issue: the extension shows 'MediaMonkey v3.0.3'. Where is it getting that from? I'm running 3.1.0.1195!

peke

2008-11-27 07:28

developer   ~0015175

1) Fixed by workaround see bug 0004968

3)
a) LOG UI in Options is not Automatically Refreshed due the limitations of MM UI
b) Proxy Blocking? http://post.audioscrobbler.com/ is unrechable for the plugin error code 12029.

4) See bug 0004967

peke

2008-11-27 07:32

developer   ~0015176

Reminder sent to: Ludek

Ludek,
2) Is Options in Extension finished I can't find how to enable it?

rusty

2008-11-27 18:00

administrator   ~0015197

Re. item 3)a) I didn't look at the log in the MM UI--I looked at the log that was saved to the log file and didn't see any attempt to authenticate!

3b) I don't understand--the link doesn't work.

5) When the plugin is enabled, CPU utilization climbs to 50% after some time! Only restarting MM fixes this.

peke

2008-11-27 21:50

developer   ~0015206

3a) Copied From my Log:
27.11.2008 22:24:19: MediaMonkey v3.0.3
27.11.2008 22:24:19: Loading Last.fm Scrobbler
27.11.2008 22:24:19: ----------------------------------------
27.11.2008 22:24:19: Last.fm Scrobbler v1.0.2.1
27.11.2008 22:24:19: ----------------------------------------
27.11.2008 22:24:29: Last.FM: Nowplaying Play Detected at 1227821069
27.11.2008 22:24:29: Last.FM: Handshake Session Started
27.11.2008 22:24:30: Last.FM: Handshake OK
27.11.2008 22:24:30: Last.FM: Handshake Session ID is d679ecc71b9a46d99e00ae95ccd44515
27.11.2008 22:24:30: Last.FM: Handshake NowPlaying URL is http://post.audioscrobbler.com:80/np_1.2
27.11.2008 22:24:30: Last.FM: Handshake Submission URL is http://87.117.229.205:80/protocol_1.2

Handshake do the authentication to get submission Session Code
http://www.last.fm/api/submissions#handshake

The only thing I could do is that I add http://post.audioscrobbler.com:80/ instead http://post.audioscrobbler.com/ to url, but I don't think it will change anything.

3b) Try to load up link in internet explorer, FF or Opera and you should get blank page with two lines:
"Audioscrobbler submissions system.
http://www.audioscrobbler.net/"

5) I was able to replicate CPU Utilization for a brief time (5 Seconds only) and it is happening only due the fact that Plugin Tries to reconnect and do the handshake 3 times which raizes CPU as TIHTTP keeps IE components loaded while doing that. Usually if all is OK plugin unloads IE components withing seconds and after that plugin is dormant till it receives Submit command or NowPlaying Changed. all other commands are ignored by plugin completely and it should not take CPU at all.
Tested on AMD X2 6000+, Win XP SP3

peke

2008-11-28 00:03

developer   ~0015213

3. a) and b) Solved by upgrading to latest TIEHTTP build and confirmed by Rusty using updated DLL

5. Can you please confirm that TIEHTTP is responsible for CPU Usage as I can't replicate after several hours of playback. As explained peak can go to 50% until plugin loads IE but it is only peak that lasts second tops?

peke

2008-11-28 00:11

developer   ~0015215

Fixed 1196

peke

2008-11-28 09:02

developer   ~0015222

SVN Updated Small fix due the TIEHTTP and Title, Artist, Album Values that contain "&" can trigger error.

rusty

2008-11-28 18:18

administrator   ~0015243

Last edited: 2008-11-28 18:30

I tested with the new build from Petr, and it still doesn't work--it has the exact same problem. Here's what I did:
1) MM is playing music
2) Install scrobbler while MM is playing music
3) Restart MM
4) Start playing music
5) Go to Tools > Options > LastFM config, and enter username/pw
6) Verified in mediamonkey.ini that password is saved
-->Nothing is logged on last.fm

The log appears below. Could it be that that the extension is trying to authenticate against the server even when no uname/pw is entered, and then the server blocks authenticate subsequently after a number of failures? Or perhaps does the new update not include your latest fix--I suspect that this is the case, since replacing the dll with the test .dll that you'd prepared for me solved the problem.

11/28/2008 1:00:34 PM: MediaMonkey v3.0.3
11/28/2008 1:00:34 PM: Loading Last.fm Scrobbler
11/28/2008 1:00:34 PM: ----------------------------------------
11/28/2008 1:00:34 PM: Last.fm Scrobbler v1.0.2.1
11/28/2008 1:00:34 PM: ----------------------------------------
11/28/2008 1:00:53 PM: Last.FM: Nowplaying Play Detected at 1227895253
11/28/2008 1:00:53 PM: Last.FM: NowPlaying Username and/or Password missing
11/28/2008 1:04:25 PM: Last.FM: Submit Started at 1227895465
11/28/2008 1:04:25 PM: Last.FM: Handshake Session Started
11/28/2008 1:04:25 PM: Last.FM: Nowplaying Play Detected at 1227895465
11/28/2008 1:04:26 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:04:26 PM: Last.FM: Cache add Fleetwood Mac - Go Your Own Way
11/28/2008 1:04:26 PM: Last.FM: Cache track added Fleetwood Mac - Go Your Own Way
11/28/2008 1:04:26 PM: Last.FM: Handshake Session Started
11/28/2008 1:04:27 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:04:27 PM: Last.FM: NowPlaying Skipping
11/28/2008 1:04:31 PM: Last.FM: Nowplaying Play Detected at 1227895471
11/28/2008 1:04:31 PM: Last.FM: Handshake Session Started
11/28/2008 1:04:31 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:04:31 PM: Last.FM: NowPlaying Skipping
11/28/2008 1:04:57 PM: Last.FM: Submit Started at 1227895497
11/28/2008 1:04:57 PM: Last.FM: Handshake Session Started
11/28/2008 1:04:57 PM: Last.FM: Nowplaying Play Detected at 1227895497
11/28/2008 1:04:57 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:04:58 PM: Last.FM: Handshake Session Started
11/28/2008 1:04:58 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:04:58 PM: Last.FM: NowPlaying Skipping
11/28/2008 1:06:25 PM: Last.FM: Submit Started at 1227895585
11/28/2008 1:06:25 PM: Last.FM: Handshake Session Started
11/28/2008 1:06:25 PM: Last.FM: Nowplaying Play Detected at 1227895585
11/28/2008 1:06:26 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:06:26 PM: Last.FM: Cache add Beatles - Golden Slumbers
11/28/2008 1:06:26 PM: Last.FM: Cache track added Beatles - Golden Slumbers
11/28/2008 1:06:27 PM: Last.FM: Handshake Session Started
11/28/2008 1:06:27 PM: Last.FM: Handshake No Connection To Last.FM Handshake failed
11/28/2008 1:06:27 PM: Last.FM: NowPlaying Skipping

peke

2008-11-29 02:45

developer   ~0015256

SVN Updated, small typos and some release build conflicts with libraries included in new TIE version that made Petr not able to compile release are solved.

peke

2008-12-03 02:09

developer   ~0015309

- In some cases Single Artist submission is truncated.
- Cache submissions can be too long for single submit.

peke

2008-12-04 02:55

developer   ~0015334

Fixed in v1.0.2.2

peke

2008-12-04 03:13

developer   ~0015340

- MultiStringSeparator was not loaded correctly in case user changes from default one

peke

2008-12-04 03:17

developer   ~0015343

Fixed invalid MultiStringSeparator handling.

stephen_platt

2008-12-04 04:50

developer   ~0015372

Verified with v1.0.2.2 version and MM build 1199

peke

2008-12-04 16:00

developer   ~0015383

Last edited: 2008-12-04 16:47

SVN Updated. Unicode handling now uses safer non aggressive approach.

rusty

2008-12-04 18:36

administrator   ~0015385

Last edited: 2008-12-04 18:55

Tested 1.0.2.3 (includes latest unicode fix + uses MM tiehttp library) with MM build 1199. The only problems that I see are:
1) Clicking the 'refresh' button has no impact on the list of tracks that are shown in the dialog.
2) The log shows incorrect version information--it doesn't match the version number of the plugin.
3) Although it appears to scrobble successfully (no authentication problem), last.fm doesn't register the scrobbled data.

There appears to be a version control problem--the scrobbler .dll is showing up as version 1.0.2.1.

peke

2008-12-05 08:16

developer   ~0015416

1. and 2. are due the bug 0004865 which lead to making usage of CreateObject("Scripting.FileSystemObject") which is blocked on some systems like yours and plugin do not gets updated to 1.0.2.3

3. Now I have issues that you had prior to adding new TIEHTTP internally. And If I compile using non-mm integrated TIEHTTP all works but official release stops at handshake Martin has confirmed same behavior. Reverting SVN to use internal TIEHTTP

peke

2008-12-05 11:26

developer   ~0015420

v1.0.2.4 is ready

Try to Uninstall Last.fm Scrobbler prior to installing new version, scrobbler DLL should not be listed in General Plugins After uninstall and MM restart.

Owyn

2008-12-06 00:39

updater   ~0015439

Tested v1.0.2.4 with MM.1201. Looks good.

rusty

2008-12-07 05:28

administrator   ~0015517

Last edited: 2008-12-07 05:32

Not sure why, but it still isn't working on my system. All sorts of errors with 1.0.2.4 running on 3.1.0.1201. Log file attached (could it be related to the fact that the file had an album called '100% fun'?).

Note: the 100% fun album was played previously--prior to restarting mediamonkey. If that is the root of the problem, then it would seem that in addition to fixing the problem, it might be worth somehow flushing the cache in the event of such a problem.

Note: the 'refresh' button seems to be working now.

2008-12-07 05:30

 

LastFM_Log_1.0.2.4.txt (19,330 bytes)   
12/7/2008 12:21:19 AM: MediaMonkey v3.1.0
12/7/2008 12:21:19 AM: Loading Last.fm Scrobbler
12/7/2008 12:21:19 AM: ----------------------------------------
12/7/2008 12:21:19 AM: Last.fm Scrobbler v1.0.2.4
12/7/2008 12:21:19 AM: ----------------------------------------
12/7/2008 12:21:38 AM: Last.FM: Nowplaying Play Detected at 1228627298
12/7/2008 12:21:38 AM: Last.FM: Handshake Session Started
12/7/2008 12:21:39 AM: Last.FM: Handshake OK
12/7/2008 12:21:39 AM: Last.FM: Handshake Session ID is 92607ff2e38640e58e64078f452c70e1
12/7/2008 12:21:39 AM: Last.FM: Handshake NowPlaying URL is http://post.audioscrobbler.com:80/np_1.2
12/7/2008 12:21:39 AM: Last.FM: Handshake Submission URL is http://87.117.229.205:80/protocol_1.2
12/7/2008 12:21:39 AM: Last.FM: Cache Submission Started
12/7/2008 12:21:40 AM: Last.FM: Cache Submit URL http://87.117.229.205:80/protocol_1.2?s=92607ff2e38640e58e64078f452c70e1&a[0]=Matthew Sweet&t[0]=Come To Love&i[0]=1228294693&o[0]=P&r[0]=&l[0]=148&b[0]=100% Fun&n[0]=&m[0]=&a[1]=Matthew Sweet&t[1]=Come To Love&i[1]=1228294693&o[1]=P&r[1]=&l[1]=148&b[1]=100% Fun&n[1]=&m[1]=&a[2]=Matthew Sweet&t[2]=Come To Love&i[2]=1228294693&o[2]=P&r[2]=&l[2]=148&b[2]=100% Fun&n[2]=&m[2]=&a[3]=Matthew Sweet&t[3]=Come To Love&i[3]=1228294693&o[3]=P&r[3]=&l[3]=148&b[3]=100% Fun&n[3]=&m[3]=&a[4]=Matthew Sweet&t[4]=Come To Love&i[4]=1228294693&o[4]=P&r[4]=&l[4]=148&b[4]=100% Fun&n[4]=&m[4]=&a[5]=Matthew Sweet&t[5]=Come To Love&i[5]=1228294693&o[5]=P&r[5]=&l[5]=148&b[5]=100% Fun&n[5]=&m[5]=&a[6]=Matthew Sweet&t[6]=Come To Love&i[6]=1228294693&o[6]=P&r[6]=&l[6]=148&b[6]=100% Fun&n[6]=&m[6]=&a[7]=Matthew Sweet&t[7]=Come To Love&i[7]=1228294693&o[7]=P&r[7]=&l[7]=148&b[7]=100% Fun&n[7]=&m[7]=&a[8]=Matthew Sweet&t[8]=Come To Love&i[8]=1228294693&o[8]=P&r[8]=&l[8]=148&b[8]=100% Fun&n[8]=&m[8]=&a[9]=Matthew Sweet&t[9]=Come To Love&i[9]=1228294693&o[9]=P&r[9]=&l[9]=148&b[9]=100% Fun&n[9]=&m[9]=&a[10]=Matthew Sweet&t[10]=Come To Love&i[10]=1228294693&o[10]=P&r[10]=&l[10]=148&b[10]=100% Fun&n[10]=&m[10]=&a[11]=Matthew Sweet&t[11]=Come To Love&i[11]=1228294693&o[11]=P&r[11]=&l[11]=148&b[11]=100% Fun&n[11]=&m[11]=&a[12]=Matthew Sweet&t[12]=Come To Love&i[12]=1228294693&o[12]=P&r[12]=&l[12]=148&b[12]=100% Fun&n[12]=&m[12]=&a[13]=Matthew Sweet&t[13]=Come To Love&i[13]=1228294693&o[13]=P&r[13]=&l[13]=148&b[13]=100% Fun&n[13]=&m[13]=&a[14]=Matthew Sweet&t[14]=Come To Love&i[14]=1228294693&o[14]=P&r[14]=&l[14]=148&b[14]=100% Fun&n[14]=&m[14]=&a[15]=Matthew Sweet&t[15]=Come To Love&i[15]=1228294693&o[15]=P&r[15]=&l[15]=148&b[15]=100% Fun&n[15]=&m[15]=&a[16]=Matthew Sweet&t[16]=Come To Love&i[16]=1228294693&o[16]=P&r[16]=&l[16]=148&b[16]=100% Fun&n[16]=&m[16]=&a[17]=Matthew Sweet&t[17]=Come To Love&i[17]=1228294693&o[17]=P&r[17]=&l[17]=148&b[17]=100% Fun&n[17]=&m[17]=&a[18]=Matthew Sweet&t[18]=Come To Love&i[18]=1228294693&o[18]=P&r[18]=&l[18]=148&b[18]=100% Fun&n[18]=&m[18]=&a[19]=Matthew Sweet&t[19]=Come To Love&i[19]=1228294693&o[19]=P&r[19]=&l[19]=148&b[19]=100% Fun&n[19]=&m[19]=&a[20]=Matthew Sweet&t[20]=Come To Love&i[20]=1228294693&o[20]=P&r[20]=&l[20]=148&b[20]=100% Fun&n[20]=&m[20]=&a[21]=Matthew Sweet&t[21]=Come To Love&i[21]=1228294693&o[21]=P&r[21]=&l[21]=148&b[21]=100% Fun&n[21]=&m[21]=&a[22]=Matthew Sweet&t[22]=Come To Love&i[22]=1228294693&o[22]=P&r[22]=&l[22]=148&b[22]=100% Fun&n[22]=&m[22]=&a[23]=Matthew Sweet&t[23]=Come To Love&i[23]=1228294693&o[23]=P&r[23]=&l[23]=148&b[23]=100% Fun&n[23]=&m[23]=&a[24]=Matthew Sweet&t[24]=Come To Love&i[24]=1228294693&o[24]=P&r[24]=&l[24]=148&b[24]=100% Fun&n[24]=&m[24]=&a[25]=Matthew Sweet&t[25]=Come To Love&i[25]=1228294693&o[25]=P&r[25]=&l[25]=148&b[25]=100% Fun&n[25]=&m[25]=&a[26]=Matthew Sweet&t[26]=Come To Love&i[26]=1228294693&o[26]=P&r[26]=&l[26]=148&b[26]=100% Fun&n[26]=&m[26]=&a[27]=Matthew Sweet&t[27]=Come To Love&i[27]=1228294693&o[27]=P&r[27]=&l[27]=148&b[27]=100% Fun&n[27]=&m[27]=&a[28]=Matthew Sweet&t[28]=Come To Love&i[28]=1228294693&o[28]=P&r[28]=&l[28]=148&b[28]=100% Fun&n[28]=&m[28]=&a[29]=Matthew Sweet&t[29]=Come To Love&i[29]=1228294693&o[29]=P&r[29]=&l[29]=148&b[29]=100% Fun&n[29]=&m[29]=&a[30]=Matthew Sweet&t[30]=Come To Love&i[30]=1228294693&o[30]=P&r[30]=&l[30]=148&b[30]=100% Fun&n[30]=&m[30]=&a[31]=Matthew Sweet&t[31]=Come To Love&i[31]=1228294693&o[31]=P&r[31]=&l[31]=148&b[31]=100% Fun&n[31]=&m[31]=&a[32]=Matthew Sweet&t[32]=Come To Love&i[32]=1228294693&o[32]=P&r[32]=&l[32]=148&b[32]=100% Fun&n[32]=&m[32]=&a[33]=Matthew Sweet&t[33]=Come To Love&i[33]=1228294693&o[33]=P&r[33]=&l[33]=148&b[33]=100% Fun&n[33]=&m[33]=&a[34]=Matthew Sweet&t[34]=Come To Love&i[34]=1228294693&o[34]=P&r[34]=&l[34]=148&b[34]=100% Fun&n[34]=&m[34]=&a[35]=Matthew Sweet&t[35]=Come To Love&i[35]=1228294693&o[35]=P&r[35]=&l[35]=148&b[35]=100% Fun&n[35]=&m[35]=&a[36]=Matthew Sweet&t[36]=Come To Love&i[36]=1228294693&o[36]=P&r[36]=&l[36]=148&b[36]=100% Fun&n[36]=&m[36]=&a[37]=Matthew Sweet&t[37]=Come To Love&i[37]=1228294693&o[37]=P&r[37]=&l[37]=148&b[37]=100% Fun&n[37]=&m[37]=&a[38]=Matthew Sweet&t[38]=Come To Love&i[38]=1228294693&o[38]=P&r[38]=&l[38]=148&b[38]=100% Fun&n[38]=&m[38]=&a[39]=Matthew Sweet&t[39]=Come To Love&i[39]=1228294693&o[39]=P&r[39]=&l[39]=148&b[39]=100% Fun&n[39]=&m[39]=&a[40]=Matthew Sweet&t[40]=Come To Love&i[40]=1228294693&o[40]=P&r[40]=&l[40]=148&b[40]=100% Fun&n[40]=&m[40]=&a[41]=Matthew Sweet&t[41]=Come To Love&i[41]=1228294693&o[41]=P&r[41]=&l[41]=148&b[41]=100% Fun&n[41]=&m[41]=&a[42]=Matthew Sweet&t[42]=Come To Love&i[42]=1228294693&o[42]=P&r[42]=&l[42]=148&b[42]=100% Fun&n[42]=&m[42]=&a[43]=Matthew Sweet&t[43]=Come To Love&i[43]=1228294693&o[43]=P&r[43]=&l[43]=148&b[43]=100% Fun&n[43]=&m[43]=&a[44]=Matthew Sweet&t[44]=Come To Love&i[44]=1228294693&o[44]=P&r[44]=&l[44]=148&b[44]=100% Fun&n[44]=&m[44]=&a[45]=Matthew Sweet&t[45]=Come To Love&i[45]=1228294693&o[45]=P&r[45]=&l[45]=148&b[45]=100% Fun&n[45]=&m[45]=&a[46]=Matthew Sweet&t[46]=Come To Love&i[46]=1228294693&o[46]=P&r[46]=&l[46]=148&b[46]=100% Fun&n[46]=&m[46]=&a[47]=Matthew Sweet&t[47]=Come To Love&i[47]=1228294693&o[47]=P&r[47]=&l[47]=148&b[47]=100% Fun&n[47]=&m[47]=&a[48]=Matthew Sweet&t[48]=Come To Love&i[48]=1228294693&o[48]=P&r[48]=&l[48]=148&b[48]=100% Fun&n[48]=&m[48]=&a[49]=Matthew Sweet&t[49]=Come To Love&i[49]=1228294693&o[49]=P&r[49]=&l[49]=148&b[49]=100% Fun&n[49]=&m[49]=
12/7/2008 12:21:40 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:21:40 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:21:40 AM: Last.FM: NowPlaying Started
12/7/2008 12:21:40 AM: Last.FM: NowPlaying Green Day - She
12/7/2008 12:21:41 AM: Last.FM: NowPlaying OK
12/7/2008 12:23:46 AM: Last.FM: Submit Started at 1228627427
12/7/2008 12:23:46 AM: Last.FM: Session ID 92607ff2e38640e58e64078f452c70e1
12/7/2008 12:23:46 AM: Last.FM: Nowplaying Play Detected at 1228627426
12/7/2008 12:23:47 AM: Last.FM: Cache Submission Started
12/7/2008 12:23:48 AM: Last.FM: Cache Submit URL http://87.117.229.205:80/protocol_1.2?s=92607ff2e38640e58e64078f452c70e1&a[0]=Matthew Sweet&t[0]=Come To Love&i[0]=1228294693&o[0]=P&r[0]=&l[0]=148&b[0]=100% Fun&n[0]=&m[0]=&a[1]=Matthew Sweet&t[1]=Come To Love&i[1]=1228294693&o[1]=P&r[1]=&l[1]=148&b[1]=100% Fun&n[1]=&m[1]=&a[2]=Matthew Sweet&t[2]=Come To Love&i[2]=1228294693&o[2]=P&r[2]=&l[2]=148&b[2]=100% Fun&n[2]=&m[2]=&a[3]=Matthew Sweet&t[3]=Come To Love&i[3]=1228294693&o[3]=P&r[3]=&l[3]=148&b[3]=100% Fun&n[3]=&m[3]=&a[4]=Matthew Sweet&t[4]=Come To Love&i[4]=1228294693&o[4]=P&r[4]=&l[4]=148&b[4]=100% Fun&n[4]=&m[4]=&a[5]=Matthew Sweet&t[5]=Come To Love&i[5]=1228294693&o[5]=P&r[5]=&l[5]=148&b[5]=100% Fun&n[5]=&m[5]=&a[6]=Matthew Sweet&t[6]=Come To Love&i[6]=1228294693&o[6]=P&r[6]=&l[6]=148&b[6]=100% Fun&n[6]=&m[6]=&a[7]=Matthew Sweet&t[7]=Come To Love&i[7]=1228294693&o[7]=P&r[7]=&l[7]=148&b[7]=100% Fun&n[7]=&m[7]=&a[8]=Matthew Sweet&t[8]=Come To Love&i[8]=1228294693&o[8]=P&r[8]=&l[8]=148&b[8]=100% Fun&n[8]=&m[8]=&a[9]=Matthew Sweet&t[9]=Come To Love&i[9]=1228294693&o[9]=P&r[9]=&l[9]=148&b[9]=100% Fun&n[9]=&m[9]=&a[10]=Matthew Sweet&t[10]=Come To Love&i[10]=1228294693&o[10]=P&r[10]=&l[10]=148&b[10]=100% Fun&n[10]=&m[10]=&a[11]=Matthew Sweet&t[11]=Come To Love&i[11]=1228294693&o[11]=P&r[11]=&l[11]=148&b[11]=100% Fun&n[11]=&m[11]=&a[12]=Matthew Sweet&t[12]=Come To Love&i[12]=1228294693&o[12]=P&r[12]=&l[12]=148&b[12]=100% Fun&n[12]=&m[12]=&a[13]=Matthew Sweet&t[13]=Come To Love&i[13]=1228294693&o[13]=P&r[13]=&l[13]=148&b[13]=100% Fun&n[13]=&m[13]=&a[14]=Matthew Sweet&t[14]=Come To Love&i[14]=1228294693&o[14]=P&r[14]=&l[14]=148&b[14]=100% Fun&n[14]=&m[14]=&a[15]=Matthew Sweet&t[15]=Come To Love&i[15]=1228294693&o[15]=P&r[15]=&l[15]=148&b[15]=100% Fun&n[15]=&m[15]=&a[16]=Matthew Sweet&t[16]=Come To Love&i[16]=1228294693&o[16]=P&r[16]=&l[16]=148&b[16]=100% Fun&n[16]=&m[16]=&a[17]=Matthew Sweet&t[17]=Come To Love&i[17]=1228294693&o[17]=P&r[17]=&l[17]=148&b[17]=100% Fun&n[17]=&m[17]=&a[18]=Matthew Sweet&t[18]=Come To Love&i[18]=1228294693&o[18]=P&r[18]=&l[18]=148&b[18]=100% Fun&n[18]=&m[18]=&a[19]=Matthew Sweet&t[19]=Come To Love&i[19]=1228294693&o[19]=P&r[19]=&l[19]=148&b[19]=100% Fun&n[19]=&m[19]=&a[20]=Matthew Sweet&t[20]=Come To Love&i[20]=1228294693&o[20]=P&r[20]=&l[20]=148&b[20]=100% Fun&n[20]=&m[20]=&a[21]=Matthew Sweet&t[21]=Come To Love&i[21]=1228294693&o[21]=P&r[21]=&l[21]=148&b[21]=100% Fun&n[21]=&m[21]=&a[22]=Matthew Sweet&t[22]=Come To Love&i[22]=1228294693&o[22]=P&r[22]=&l[22]=148&b[22]=100% Fun&n[22]=&m[22]=&a[23]=Matthew Sweet&t[23]=Come To Love&i[23]=1228294693&o[23]=P&r[23]=&l[23]=148&b[23]=100% Fun&n[23]=&m[23]=&a[24]=Matthew Sweet&t[24]=Come To Love&i[24]=1228294693&o[24]=P&r[24]=&l[24]=148&b[24]=100% Fun&n[24]=&m[24]=&a[25]=Matthew Sweet&t[25]=Come To Love&i[25]=1228294693&o[25]=P&r[25]=&l[25]=148&b[25]=100% Fun&n[25]=&m[25]=&a[26]=Matthew Sweet&t[26]=Come To Love&i[26]=1228294693&o[26]=P&r[26]=&l[26]=148&b[26]=100% Fun&n[26]=&m[26]=&a[27]=Matthew Sweet&t[27]=Come To Love&i[27]=1228294693&o[27]=P&r[27]=&l[27]=148&b[27]=100% Fun&n[27]=&m[27]=&a[28]=Matthew Sweet&t[28]=Come To Love&i[28]=1228294693&o[28]=P&r[28]=&l[28]=148&b[28]=100% Fun&n[28]=&m[28]=&a[29]=Matthew Sweet&t[29]=Come To Love&i[29]=1228294693&o[29]=P&r[29]=&l[29]=148&b[29]=100% Fun&n[29]=&m[29]=&a[30]=Matthew Sweet&t[30]=Come To Love&i[30]=1228294693&o[30]=P&r[30]=&l[30]=148&b[30]=100% Fun&n[30]=&m[30]=&a[31]=Matthew Sweet&t[31]=Come To Love&i[31]=1228294693&o[31]=P&r[31]=&l[31]=148&b[31]=100% Fun&n[31]=&m[31]=&a[32]=Matthew Sweet&t[32]=Come To Love&i[32]=1228294693&o[32]=P&r[32]=&l[32]=148&b[32]=100% Fun&n[32]=&m[32]=&a[33]=Matthew Sweet&t[33]=Come To Love&i[33]=1228294693&o[33]=P&r[33]=&l[33]=148&b[33]=100% Fun&n[33]=&m[33]=&a[34]=Matthew Sweet&t[34]=Come To Love&i[34]=1228294693&o[34]=P&r[34]=&l[34]=148&b[34]=100% Fun&n[34]=&m[34]=&a[35]=Matthew Sweet&t[35]=Come To Love&i[35]=1228294693&o[35]=P&r[35]=&l[35]=148&b[35]=100% Fun&n[35]=&m[35]=&a[36]=Matthew Sweet&t[36]=Come To Love&i[36]=1228294693&o[36]=P&r[36]=&l[36]=148&b[36]=100% Fun&n[36]=&m[36]=&a[37]=Matthew Sweet&t[37]=Come To Love&i[37]=1228294693&o[37]=P&r[37]=&l[37]=148&b[37]=100% Fun&n[37]=&m[37]=&a[38]=Matthew Sweet&t[38]=Come To Love&i[38]=1228294693&o[38]=P&r[38]=&l[38]=148&b[38]=100% Fun&n[38]=&m[38]=&a[39]=Matthew Sweet&t[39]=Come To Love&i[39]=1228294693&o[39]=P&r[39]=&l[39]=148&b[39]=100% Fun&n[39]=&m[39]=&a[40]=Matthew Sweet&t[40]=Come To Love&i[40]=1228294693&o[40]=P&r[40]=&l[40]=148&b[40]=100% Fun&n[40]=&m[40]=&a[41]=Matthew Sweet&t[41]=Come To Love&i[41]=1228294693&o[41]=P&r[41]=&l[41]=148&b[41]=100% Fun&n[41]=&m[41]=&a[42]=Matthew Sweet&t[42]=Come To Love&i[42]=1228294693&o[42]=P&r[42]=&l[42]=148&b[42]=100% Fun&n[42]=&m[42]=&a[43]=Matthew Sweet&t[43]=Come To Love&i[43]=1228294693&o[43]=P&r[43]=&l[43]=148&b[43]=100% Fun&n[43]=&m[43]=&a[44]=Matthew Sweet&t[44]=Come To Love&i[44]=1228294693&o[44]=P&r[44]=&l[44]=148&b[44]=100% Fun&n[44]=&m[44]=&a[45]=Matthew Sweet&t[45]=Come To Love&i[45]=1228294693&o[45]=P&r[45]=&l[45]=148&b[45]=100% Fun&n[45]=&m[45]=&a[46]=Matthew Sweet&t[46]=Come To Love&i[46]=1228294693&o[46]=P&r[46]=&l[46]=148&b[46]=100% Fun&n[46]=&m[46]=&a[47]=Matthew Sweet&t[47]=Come To Love&i[47]=1228294693&o[47]=P&r[47]=&l[47]=148&b[47]=100% Fun&n[47]=&m[47]=&a[48]=Matthew Sweet&t[48]=Come To Love&i[48]=1228294693&o[48]=P&r[48]=&l[48]=148&b[48]=100% Fun&n[48]=&m[48]=&a[49]=Matthew Sweet&t[49]=Come To Love&i[49]=1228294693&o[49]=P&r[49]=&l[49]=148&b[49]=100% Fun&n[49]=&m[49]=
12/7/2008 12:23:48 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:23:48 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:23:48 AM: Last.FM: Cache add Green Day - She
12/7/2008 12:23:49 AM: Last.FM: Cache track added Green Day - She
12/7/2008 12:23:49 AM: Last.FM: Handshake Session Started
12/7/2008 12:23:49 AM: Last.FM: Handshake OK
12/7/2008 12:23:49 AM: Last.FM: Handshake Session ID is e98dc734710b4cc2861573832063790f
12/7/2008 12:23:49 AM: Last.FM: Handshake NowPlaying URL is http://post.audioscrobbler.com:80/np_1.2
12/7/2008 12:23:50 AM: Last.FM: Handshake Submission URL is http://87.117.229.205:80/protocol_1.2
12/7/2008 12:23:50 AM: Last.FM: Cache Submission Started
12/7/2008 12:23:50 AM: Last.FM: Cache Submit URL http://87.117.229.205:80/protocol_1.2?s=e98dc734710b4cc2861573832063790f&a[0]=Matthew Sweet&t[0]=Come To Love&i[0]=1228294693&o[0]=P&r[0]=&l[0]=148&b[0]=100% Fun&n[0]=&m[0]=&a[1]=Matthew Sweet&t[1]=Come To Love&i[1]=1228294693&o[1]=P&r[1]=&l[1]=148&b[1]=100% Fun&n[1]=&m[1]=&a[2]=Matthew Sweet&t[2]=Come To Love&i[2]=1228294693&o[2]=P&r[2]=&l[2]=148&b[2]=100% Fun&n[2]=&m[2]=&a[3]=Matthew Sweet&t[3]=Come To Love&i[3]=1228294693&o[3]=P&r[3]=&l[3]=148&b[3]=100% Fun&n[3]=&m[3]=&a[4]=Matthew Sweet&t[4]=Come To Love&i[4]=1228294693&o[4]=P&r[4]=&l[4]=148&b[4]=100% Fun&n[4]=&m[4]=&a[5]=Matthew Sweet&t[5]=Come To Love&i[5]=1228294693&o[5]=P&r[5]=&l[5]=148&b[5]=100% Fun&n[5]=&m[5]=&a[6]=Matthew Sweet&t[6]=Come To Love&i[6]=1228294693&o[6]=P&r[6]=&l[6]=148&b[6]=100% Fun&n[6]=&m[6]=&a[7]=Matthew Sweet&t[7]=Come To Love&i[7]=1228294693&o[7]=P&r[7]=&l[7]=148&b[7]=100% Fun&n[7]=&m[7]=&a[8]=Matthew Sweet&t[8]=Come To Love&i[8]=1228294693&o[8]=P&r[8]=&l[8]=148&b[8]=100% Fun&n[8]=&m[8]=&a[9]=Matthew Sweet&t[9]=Come To Love&i[9]=1228294693&o[9]=P&r[9]=&l[9]=148&b[9]=100% Fun&n[9]=&m[9]=&a[10]=Matthew Sweet&t[10]=Come To Love&i[10]=1228294693&o[10]=P&r[10]=&l[10]=148&b[10]=100% Fun&n[10]=&m[10]=&a[11]=Matthew Sweet&t[11]=Come To Love&i[11]=1228294693&o[11]=P&r[11]=&l[11]=148&b[11]=100% Fun&n[11]=&m[11]=&a[12]=Matthew Sweet&t[12]=Come To Love&i[12]=1228294693&o[12]=P&r[12]=&l[12]=148&b[12]=100% Fun&n[12]=&m[12]=&a[13]=Matthew Sweet&t[13]=Come To Love&i[13]=1228294693&o[13]=P&r[13]=&l[13]=148&b[13]=100% Fun&n[13]=&m[13]=&a[14]=Matthew Sweet&t[14]=Come To Love&i[14]=1228294693&o[14]=P&r[14]=&l[14]=148&b[14]=100% Fun&n[14]=&m[14]=&a[15]=Matthew Sweet&t[15]=Come To Love&i[15]=1228294693&o[15]=P&r[15]=&l[15]=148&b[15]=100% Fun&n[15]=&m[15]=&a[16]=Matthew Sweet&t[16]=Come To Love&i[16]=1228294693&o[16]=P&r[16]=&l[16]=148&b[16]=100% Fun&n[16]=&m[16]=&a[17]=Matthew Sweet&t[17]=Come To Love&i[17]=1228294693&o[17]=P&r[17]=&l[17]=148&b[17]=100% Fun&n[17]=&m[17]=&a[18]=Matthew Sweet&t[18]=Come To Love&i[18]=1228294693&o[18]=P&r[18]=&l[18]=148&b[18]=100% Fun&n[18]=&m[18]=&a[19]=Matthew Sweet&t[19]=Come To Love&i[19]=1228294693&o[19]=P&r[19]=&l[19]=148&b[19]=100% Fun&n[19]=&m[19]=&a[20]=Matthew Sweet&t[20]=Come To Love&i[20]=1228294693&o[20]=P&r[20]=&l[20]=148&b[20]=100% Fun&n[20]=&m[20]=&a[21]=Matthew Sweet&t[21]=Come To Love&i[21]=1228294693&o[21]=P&r[21]=&l[21]=148&b[21]=100% Fun&n[21]=&m[21]=&a[22]=Matthew Sweet&t[22]=Come To Love&i[22]=1228294693&o[22]=P&r[22]=&l[22]=148&b[22]=100% Fun&n[22]=&m[22]=&a[23]=Matthew Sweet&t[23]=Come To Love&i[23]=1228294693&o[23]=P&r[23]=&l[23]=148&b[23]=100% Fun&n[23]=&m[23]=&a[24]=Matthew Sweet&t[24]=Come To Love&i[24]=1228294693&o[24]=P&r[24]=&l[24]=148&b[24]=100% Fun&n[24]=&m[24]=&a[25]=Matthew Sweet&t[25]=Come To Love&i[25]=1228294693&o[25]=P&r[25]=&l[25]=148&b[25]=100% Fun&n[25]=&m[25]=&a[26]=Matthew Sweet&t[26]=Come To Love&i[26]=1228294693&o[26]=P&r[26]=&l[26]=148&b[26]=100% Fun&n[26]=&m[26]=&a[27]=Matthew Sweet&t[27]=Come To Love&i[27]=1228294693&o[27]=P&r[27]=&l[27]=148&b[27]=100% Fun&n[27]=&m[27]=&a[28]=Matthew Sweet&t[28]=Come To Love&i[28]=1228294693&o[28]=P&r[28]=&l[28]=148&b[28]=100% Fun&n[28]=&m[28]=&a[29]=Matthew Sweet&t[29]=Come To Love&i[29]=1228294693&o[29]=P&r[29]=&l[29]=148&b[29]=100% Fun&n[29]=&m[29]=&a[30]=Matthew Sweet&t[30]=Come To Love&i[30]=1228294693&o[30]=P&r[30]=&l[30]=148&b[30]=100% Fun&n[30]=&m[30]=&a[31]=Matthew Sweet&t[31]=Come To Love&i[31]=1228294693&o[31]=P&r[31]=&l[31]=148&b[31]=100% Fun&n[31]=&m[31]=&a[32]=Matthew Sweet&t[32]=Come To Love&i[32]=1228294693&o[32]=P&r[32]=&l[32]=148&b[32]=100% Fun&n[32]=&m[32]=&a[33]=Matthew Sweet&t[33]=Come To Love&i[33]=1228294693&o[33]=P&r[33]=&l[33]=148&b[33]=100% Fun&n[33]=&m[33]=&a[34]=Matthew Sweet&t[34]=Come To Love&i[34]=1228294693&o[34]=P&r[34]=&l[34]=148&b[34]=100% Fun&n[34]=&m[34]=&a[35]=Matthew Sweet&t[35]=Come To Love&i[35]=1228294693&o[35]=P&r[35]=&l[35]=148&b[35]=100% Fun&n[35]=&m[35]=&a[36]=Matthew Sweet&t[36]=Come To Love&i[36]=1228294693&o[36]=P&r[36]=&l[36]=148&b[36]=100% Fun&n[36]=&m[36]=&a[37]=Matthew Sweet&t[37]=Come To Love&i[37]=1228294693&o[37]=P&r[37]=&l[37]=148&b[37]=100% Fun&n[37]=&m[37]=&a[38]=Matthew Sweet&t[38]=Come To Love&i[38]=1228294693&o[38]=P&r[38]=&l[38]=148&b[38]=100% Fun&n[38]=&m[38]=&a[39]=Matthew Sweet&t[39]=Come To Love&i[39]=1228294693&o[39]=P&r[39]=&l[39]=148&b[39]=100% Fun&n[39]=&m[39]=&a[40]=Matthew Sweet&t[40]=Come To Love&i[40]=1228294693&o[40]=P&r[40]=&l[40]=148&b[40]=100% Fun&n[40]=&m[40]=&a[41]=Matthew Sweet&t[41]=Come To Love&i[41]=1228294693&o[41]=P&r[41]=&l[41]=148&b[41]=100% Fun&n[41]=&m[41]=&a[42]=Matthew Sweet&t[42]=Come To Love&i[42]=1228294693&o[42]=P&r[42]=&l[42]=148&b[42]=100% Fun&n[42]=&m[42]=&a[43]=Matthew Sweet&t[43]=Come To Love&i[43]=1228294693&o[43]=P&r[43]=&l[43]=148&b[43]=100% Fun&n[43]=&m[43]=&a[44]=Matthew Sweet&t[44]=Come To Love&i[44]=1228294693&o[44]=P&r[44]=&l[44]=148&b[44]=100% Fun&n[44]=&m[44]=&a[45]=Matthew Sweet&t[45]=Come To Love&i[45]=1228294693&o[45]=P&r[45]=&l[45]=148&b[45]=100% Fun&n[45]=&m[45]=&a[46]=Matthew Sweet&t[46]=Come To Love&i[46]=1228294693&o[46]=P&r[46]=&l[46]=148&b[46]=100% Fun&n[46]=&m[46]=&a[47]=Matthew Sweet&t[47]=Come To Love&i[47]=1228294693&o[47]=P&r[47]=&l[47]=148&b[47]=100% Fun&n[47]=&m[47]=&a[48]=Matthew Sweet&t[48]=Come To Love&i[48]=1228294693&o[48]=P&r[48]=&l[48]=148&b[48]=100% Fun&n[48]=&m[48]=&a[49]=Matthew Sweet&t[49]=Come To Love&i[49]=1228294693&o[49]=P&r[49]=&l[49]=148&b[49]=100% Fun&n[49]=&m[49]=
12/7/2008 12:23:50 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:23:50 AM: Last.FM: Cache Submission Failed Plugin bug: Not all request variables are set - got 401 parameters.
12/7/2008 12:23:50 AM: Last.FM: NowPlaying Started
12/7/2008 12:23:51 AM: Last.FM: NowPlaying The doors - Hello, I Love You
12/7/2008 12:23:51 AM: Last.FM: NowPlaying OK
LastFM_Log_1.0.2.4.txt (19,330 bytes)   

peke

2008-12-07 14:10

developer   ~0015523

1. "%" Make Problems in TIEHTTP Submit URL was incorrectly created. Will fix that ASAP

2. I could Add simple Flush/Clean Cache Button in Setup Dialog?

rusty

2008-12-07 15:44

administrator   ~0015534

A better solution is that if there's something in the cache that is causing a problem, MM should automatically get rid of it. But if you can't think of a way of doing this without sometimes inadvertently clearing the cache, you can add a 'Clear cache' button for now in case such problems continue to arise.

peke

2008-12-07 22:23

developer   ~0015536

1. Unfortunately, the error is located from Last.fm responses not in plugin internally, I have made one small function in plugin just for those cases of illegal Last.fm characters.

2. Problem with Cache file is that Cache file contains last.fm pre-encoded submission for lowering Latency on cache sending and as Cache can't be sent it means that cache is corrupted and need to be deleted due to incompatibility with Last.fm.

peke

2008-12-07 22:37

developer   ~0015537

Fixed in v1.0.2.5

2. Added Clean cache button.

peke

2008-12-08 16:13

developer   ~0015553

Last edited: 2008-12-08 16:24

Additional small fix in submitting "%" Char to last.fm due to URL Format replace
"%"-> "%25"

Teknojunky

2008-12-18 00:00

updater   ~0015716

@ rusty >>> My question then is when would a user ever want to enable 'cached' mode?


An answer for this would be where a user knows that last.fm submissions will fail (ie work blocked by firewall) and does not want them submitted at the current time, but wants to submit at a later date and/or location (ie at home).

rusty

2008-12-18 03:55

administrator   ~0015718

There is no UI to enable 'cached' mode. Tracks only accumulate in the cache if they aren't able to be submitted (e.g. user is offline). The 'clean' cache button only exists _in_case_ there's some bug that we've not yet discovered that causes the cache to not be sent (which causes an endless loop of retries from which there is no way out).

peke

2008-12-25 03:03

developer   ~0015808

1. Regression: "Clean Cache" button do not work in some cases

2. Make support for enabling cache only mode to be used with http://www.mediamonkey.com/forum/viewtopic.php?f=2&t=34954 or make native Quick button.

peke

2008-12-25 03:05

developer   ~0015809

Last edited: 2008-12-25 03:12

3. Add log message to track plugin internet connection status due to possible regression manifesting thrum high CPU usage by plugin when initiating internet connection

peke

2009-01-05 14:23

developer   ~0015986

4. Cached Files fail to submit only first one submits.

peke

2009-01-05 14:27

developer   ~0015987

4. Fixed in v1.0.2.6

peke

2009-01-05 15:35

developer   ~0015992

Forum Topic Concerning v1.0.2.x: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=34638&st=0&sk=t&sd=a

rusty

2009-01-06 04:57

administrator   ~0016001

5) Tested 1.0.2.6 and Logging no longer works directly in the Options panel (i.e. I can see the log in the text file, but not in Tools > Options > last.fm

peke

2009-01-06 05:49

developer   ~0016004

Last edited: 2009-01-06 06:18

5. Confirmed as Regression due to recent Jiri Changes in INI handling in 1208 Forum Topic http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=34703

peke

2009-01-06 06:31

developer   ~0016005

5. Fixed in v1.0.2.7

rusty

2009-01-06 14:27

administrator   ~0016013

Other issues that can be considered for the future:
-Last.fm mode toolbar: http://www.mediamonkey.com/forum/viewtopic.php?f=2&t=34954
-Transparent synch of device play history: e.g. if user synchs iPod to MM, and playcounts are updated, the updated playcounts should be synched to last.fm.

rusty

2009-01-11 07:24

administrator   ~0016135

5) Tested 1.0.2.7 with MM 3.1.0.1210, and logging still doesn't work within MM i.e. I can't see the log via Tools > Options > Last.fm -- the only way to see the log is by clicking 'Show log file'.

Owyn

2009-01-11 09:46

updater   ~0016136

FYI: Refresh button broken in 1.0.2.4 -> 2.5 regression.

peke

2009-01-13 00:36

developer   ~0016159

Owyn: 1.0.2.7 fixes that issue see bug report under 5)

Owyn

2009-01-13 00:44

updater   ~0016160

Rusty's comment (16135) said 1.0.2.7 did not fix problem.
Not a big for me, I always check the log from open log file.

peke

2009-01-13 01:23

developer   ~0016163

Last edited: 2009-01-13 02:25

Owyn: As explained in Bug 0004865 on some systems Installing of new plugin Fail and MM General Plugin list still shows older version.

rusty

2009-01-13 16:34

administrator   ~0016183

4865 has been resolved. Re-opening to have logging issues fixed.

Owyn

2009-01-13 16:46

updater   ~0016184

Verified Refresh/Logging and Cache Submit on my system with 1.0.2.7

stephen_platt

2009-01-20 22:10

developer   ~0016323

Last edited: 2009-01-24 00:44

6) At http://www.mediamonkey.com/forum/viewtopic.php?f=1&t=36279&start=0&st=0&sk=t&sd=a#p187247 it was reported that the artist +44 is actually submitted as just 44. I can confirm this on 3.1.0.1215 and last.fm plugin version 1.0.2.5.

peke

2009-01-21 02:30

developer   ~0016329

Confirmed bug in v1.0.2.7

peke

2009-01-24 14:21

developer   ~0016365

6) Fixed in v1.0.2.9

peke

2009-03-24 02:39

developer   ~0017178

7. Make better verbose settings apron Thread creation and IE connection.

rusty

2009-03-24 14:42

administrator   ~0017186

Moved item 7. to a new bug. Last-fm feature was completed.

stephen_platt

2010-11-01 15:33

developer   ~0021099

verified scrobbler version 1.0.2.22